> ## Documentation Index
> Fetch the complete documentation index at: https://devkit4ai.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Redis Health Check

> Detailed health check for Redis PubSub system



## OpenAPI

````yaml cloud-api/openapi.json get /api/v1/health/redis
openapi: 3.1.0
info:
  title: Dev Kit for AI API
  description: 'API for Dev Kit for AI: Developer Toolkit for AI-Powered Web Applications'
  version: 1.6.1
servers:
  - url: https://api.devkit4ai.com
    description: Dev Kit for AI Production Server
  - url: https://api.vibecoding.ad
    description: Vibe Coding Production Server
security: []
paths:
  /api/v1/health/redis:
    get:
      tags:
        - Health Check API
      summary: Redis Health Check
      description: Detailed health check for Redis PubSub system
      operationId: redis_health_check_api_v1_health_redis_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedisHealthResponse'
components:
  schemas:
    RedisHealthResponse:
      properties:
        status:
          type: string
          title: Status
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        listening:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Listening
        subscribers:
          anyOf:
            - type: integer
            - type: 'null'
          title: Subscribers
        connection_failed:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Connection Failed
        last_connection_attempt:
          anyOf:
            - type: number
            - type: 'null'
          title: Last Connection Attempt
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        timestamp:
          type: string
          title: Timestamp
      type: object
      required:
        - status
        - timestamp
      title: RedisHealthResponse

````